Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035035
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2017-01-23 15:162017-03-20 13:52
Reporterinaki_garciaView Statuspublic 
Assigned Torqueralta 
PrioritynormalResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revision0afbe9aae887
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0035035: [UX][RR17Q1] Decimal format isn't validated in the field of the Amount to Layaway popup of the Pay Open Tickets window

DescriptionThe field of the Amount to Layaway popup that appears when clicking on a Layaway of the Pay Open Tickets window doesn't validate inputting a correct number decimal format. Moreover, when inputting a number using a comma (",") as a decimal separator (assuming the configured decimal format is with a dot, "."), the inputted amount is set but without its decimal part.

A popup should be shown, asking to input a number with the correct decimal format.
Steps To Reproduce0. Log in the Web POS as user "vallblanca"

1. Create more than one Layaway with the following steps
 1.1. Click on the Browse button and select some products (p.e., "Avalanche transceiver" and "Headlamp ultralight")
 1.2. Click on the Total button (should be shown as "169.40")
 1.3. Open the dropdown menu and select the "Layaway this Receipt" option
 1.4. Click on the "Layaway" button to complete the receipt

2. Select "Pay Open Tickets" option from the dropdown menu
 2.1. Click on the search magnifying glass and select all the created layaways
 2.2. Click on "Done".

Testing the validations mentioned in the description on the "Pay Open Tickets" screen
3. Click on a Layaway to open the "Amount to Layaway" popup
 3.1. Set, p.e., '25.35' and click on "Apply"
 3.2. Notice how the amount set for the Layaway is '25.00'
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0035031 newRetail [UX][RR17Q1] Incomplete field validation for the Amount to Layaway popup of the Pay Open Tickets option 

-  Notes
(0095421)
hgbot (developer)
2017-03-20 13:50

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 342f05b5fca148c56e2ed37ab006f959b7a9dcb2
Author: Rafael Queralta Pozo <rqueralta <at> nauta.cu>
Date: Mon Feb 13 18:43:01 2017 -0500
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/342f05b5fca148c56e2ed37ab006f959b7a9dcb2 [^]

Fixed issue 35035: Decimal format isn't validated in the Amount field to Layaway

Decimal format isn't validated in the field of the Amount to Layaway popup.
A new function OB.I18N.isValidNumber was added in order to fix it. This function
validate the number format

---
M web/org.openbravo.mobile.core/source/utils/ob-i18n.js
---
(0095422)
hgbot (developer)
2017-03-20 13:52

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 0afbe9aae887bed52e1af40f0c4008c6c8006449
Author: Rafael Queralta Pozo <rqueralta <at> nauta.cu>
Date: Mon Feb 13 18:41:48 2017 -0500
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/0afbe9aae887bed52e1af40f0c4008c6c8006449 [^]

Fixed issue 35035: Decimal format isn't validated in the Amount field to Layaway

Checked is the amount has a valid format and if this amount has a valid thousand
separator, this is replace by ""

---
M web/org.openbravo.retail.posterminal/js/components/modalmultiorderslayaway.js
---

- Issue History
Date Modified Username Field Change
2017-01-23 15:16 inaki_garcia New Issue
2017-01-23 15:16 inaki_garcia Assigned To => Retail
2017-01-23 15:16 inaki_garcia Triggers an Emergency Pack => No
2017-01-23 15:17 inaki_garcia Relationship added related to 0035031
2017-02-16 19:27 rqueralta Assigned To Retail => rqueralta
2017-03-20 13:50 hgbot Checkin
2017-03-20 13:50 hgbot Note Added: 0095421
2017-03-20 13:50 hgbot Status new => resolved
2017-03-20 13:50 hgbot Resolution open => fixed
2017-03-20 13:50 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/342f05b5fca148c56e2ed37ab006f959b7a9dcb2 [^]
2017-03-20 13:52 hgbot Checkin
2017-03-20 13:52 hgbot Note Added: 0095422
2017-03-20 13:52 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/342f05b5fca148c56e2ed37ab006f959b7a9dcb2 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/0afbe9aae887bed52e1af40f0c4008c6c8006449 [^]


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker